<table>
  <tr>
    <th>ID</th>
    <th>Name</th>
    <th>Actions</th>
  </tr>
  <tr *ngFor="let position of this.dataService.positions">
    <td>{{position.id}}</td>
    <td>{{position.title}}</td>
    <td>
      <button type="button" (click)="edit(position)">
        Edit
      </button>
      <button type="button" (click)="delete(position)">
        Delete
      </button>
    </td>
  </tr>
</table>

<div class = "add modal">
  <label>Add new position:
    <input #positionName />
  </label>
  <button (click)="add(positionName.value); positionName.value=''">
    add
  </button>
</div>

<div id = "position">
  <label>Enter new position name:
    <input #newPositionName/>
  </label>
  <button (click)="save(newPositionName.value); newPositionName.value=''; hide()">
    save
  </button>
  <button (click)="cancel()">
    cancel
  </button>
</div>
